## nfs-utils-0.3.1.tar.gz

=== utils/statd/Makefile ===
# Copyright (C) 1995-1999 Jeffrey A. Uphoff
# Adapted for linux-nfs build tree by Olaf Kirch, 1996.
#
# NSM for Linux.

# Uncomment for embedded client-side simulation functions.
#SIMUL	= -DSIMULATIONS

# Undefined is normal, defined provides debug logging.
#DEBUG	= -DDEBUG

##################################################################
#	no user-serviceable parts below this line
##################################################################
PROGRAM	= statd
PREFIX	= rpc.
OBJS	= $(SRCS:.c=.o)
CCOPTS	= $(DEBUG) $(SIMUL)
LIBS	= -lexport -lmisc $(LIBWRAP) $(LIBNSL)

SRCS	= $(RPCSRCS) $(SIMSRCS) \
	  callback.c notlist.c log.c misc.c monitor.c notify.c simu.c \
	  stat.c statd.c state.c svc_run.c rmtcall.c
HDRS	= $(RPCHDRS) $(SIMHDRS)

RPCSRCS	= sm_inter_clnt.c sm_inter_svc.c sm_inter_xdr.c
RPCHDRS	= sm_inter.h

ifdef SIMUL
SIMSRCS	= sim_sm_inter_clnt.c sim_sm_inter_svc.c
SIMHDRS	= sim_sm_inter.h
SRCS   += simulate.c
endif

MAN8	= statd

include $(TOP)rules.mk

AFLAGS	+= -Wno-unused

$(RPCHDRS) $(RPCSRCS):	sm_inter.x
	$(RM) $(RPCHDRS) $(RPCSRCS)
	$(RPCGEN) -h -o sm_inter.h $<
	$(RPCGEN) -l -o sm_inter_clnt.c $<
	$(RPCGEN) -m -o sm_inter_svc.c $<
	$(RPCGEN) -c -o sm_inter_xdr.c $<

$(SIMHDRS) $(SIMSRCS):	sim_sm_inter.x
	$(RM) $(SIMHDRS) $(SIMSRCS)
	$(RPCGEN) -h -o sim_sm_inter.h $<
	$(RPCGEN) -l -o sim_sm_inter_clnt.c $<
	$(RPCGEN) -m -o sim_sm_inter_svc.c $<

clean::
	$(RM) $(PROGRAM)

distclean::
	$(RM) $(RPCHDRS) $(RPCSRCS) $(SIMHDRS) $(SIMSRCS)

=== debian/changelog ===
nfs-utils (1:0.3-2) unstable; urgency=low

  * Upstream:
    > Don't modify socket buffer sizes.

 -- Chip Salzenberg <chip@debian.org>  Mon, 12 Feb 2001 20:46:22 -0800

nfs-utils (1:0.3-1) unstable; urgency=low

  * New upstream.

 -- Chip Salzenberg <chip@debian.org>  Sun, 28 Jan 2001 18:13:59 -0800

nfs-utils (1:0.2.1-5) unstable; urgency=low

  * Fix statd callback protection ("--secure-statd") to
     1. work with current kernels as far as possible, and
     2. allow for Trond's recent NFS patches, which change the
        static callback RPC procedure.
  * Store return values of getc and getopt in int variables:
    they can return EOF, which requires an int. (From NMU)
  
 -- Chip Salzenberg <chip@debian.org>  Sat, 20 Jan 2001 20:03:07 -0800

nfs-utils (1:0.2.1-4) unstable; urgency=medium

  * Warn about common errors in /etc/exports.  (closes: #66421)
  * Fix line numbers in messages about /etc/exports.  (closes: #59734)
  * Let nhfsstone replace files from old server packages.  (closes: #59261)

 -- Chip Salzenberg <chip@valinux.com>  Sun,  3 Dec 2000 14:41:13 -0800

nfs-utils (1:0.2.1-3) unstable; urgency=low

  * Add portmap dependency. (closes: #75639)
  * Upstream:
    > mountd: New option "-n/--no-tcp".

 -- Chip Salzenberg <chip@valinux.com>  Sun, 19 Nov 2000 09:22:19 -0800

nfs-utils (1:0.2.1-2) unstable; urgency=high

  * On shutdown, kill user-mode lockd, not kernel-mode lockd thread.
  * Big upstream fix:
     > statd: Repair memory leaks and corruptions.
  * Other upstream patches:
     > exportfs: Support CIDR netmasks (e.g. "1.2.3.4/24").
     > statd: Fix callbacks to local lockd; Be paranoid about IP addresses
       when doing callbacks to local lockd; Add debugging features; Make
       logs more readable.

 -- Chip Salzenberg <chip@valinux.com>  Thu,  2 Nov 2000 18:10:36 -0800

nfs-utils (1:0.2.1-1) unstable; urgency=low

  * New upstream w/minor fixes.

 -- Chip Salzenberg <chip@valinux.com>  Mon,  2 Oct 2000 17:32:00 -0700

nfs-utils (1:0.2-1) unstable; urgency=low

  * New upstream version number.
  * Minor fixes.

 -- Chip Salzenberg <chip@valinux.com>  Tue,  5 Sep 2000 11:30:00 -0700

nfs-utils (1:0.1.9.1-2) unstable; urgency=medium

  * Upstream addition of tcpwrapper support in statd and mountd.
  * Upstream fixes from H.J. Lu and Neil Brown.
  * Run exportfs first during startup (again).

 -- Chip Salzenberg <chip@valinux.com>  Sat, 26 Aug 2000 17:30:00 -0700

nfs-utils (1:0.1.9.1-1) frozen unstable; urgency=high

  * New upstream version, fixes more logging errors.
  * Fix Debian distribution list.

 -- Chip Salzenberg <chip@valinux.com>  Wed,  5 Jul 2000 15:00:00 -0800

nfs-utils (1:0.1.8.2-2) unstable; urgency=high

  * Fix serious logging error in statd.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 28 Jun 2000 23:00:00 -0800

nfs-utils (1:0.1.8.2-1) unstable; urgency=low

  * New upstream version.
  * During startup, start daemons before running exportfs.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 28 Jun 2000 15:00:00 -0800

nfs-utils (1:0.1.8.1-1) unstable; urgency=medium

  * New upstream version.
  * Chdir to / before spawning daemons. (closes: #60837, #64857)
  * Follow policy for init messages. (closes: #59184, #65519)

 -- Chip Salzenberg <chip@valinux.com>  Mon, 12 Jun 2000 22:30:00 -0800

nfs-utils (1:0.1.8-1) unstable; urgency=low

  * New upstream version.

 -- Chip Salzenberg <chip@valinux.com>  Sun,  4 Jun 2000 13:30:00 -0800

nfs-utils (1:0.1.7.1-1) unstable; urgency=medium

  * New upstream version.
  * Use fewer sockets in mountd by sharing RPC transports,
    even when it is run without '-p'.

 -- Chip Salzenberg <chip@valinux.com>  Sat, 29 Apr 2000 20:45:00 -0800

nfs-utils (1:0.1.6-3) frozen unstable; urgency=medium

  * Fix kernel server shutdown order: mountd, nfsd, exportfs.
  * Upstream:  Fix 'mountd -p'.  Use fewer UDP sockets
    by sharing RPC transports.  Display more mount flags.

 -- Chip Salzenberg <chip@valinux.com>  Mon, 13 Mar 2000 14:45:00 -0800

nfs-utils (1:0.1.6-2) frozen unstable; urgency=medium

  * Split off nhfsstone into its own package, since it has
    helper scripts and most people won't use it.
  * Also include nhfsstone's helpers: nhfs{run,nums,graph}.
  * Install man page for nhfsstone. (closes: #55194)
  * Always run lockd on non-module kernels. (closes: #57841)
  * Make init scripts config files. (closes: #55193)
  * Handle "force-reload" in nfs-common's init script. (ditto)
  * Fix line numbers in error messages. (closes: #57717)
  * Write man page for rpc.lockd. (closes: #55192)
  * Fix typo in exports(5) man page. (closes: #46933)
  * Add /usr/doc -> /usr/share doc links. (closes: #54983)
  * Add copyright file. (closes: #55195)
  * Refresh sources from upstream.
  * Refine dependencies.

 -- Chip Salzenberg <chip@valinux.com>  Sat, 26 Feb 2000 02:00:00 -0800

nfs-utils (1:0.1.6-1) unstable; urgency=high

  * New upstream version.
  * Make nfs-kernel-server conflict with and replace knfs.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 12 Jan 2000 19:30:00 -0800

nfs-utils (1:0.1.5-2) unstable; urgency=high

  * Rename packages to "nfs-common" and "nfs-kernel-server".
    (Previous package names were only temporary anyway.)
  * Prepend "1:" to version, to override existing nfs-common.
  * Remove rpc.rquotad -- it's already packaged in "quota".

 -- Chip Salzenberg <chip@valinux.com>  Wed, 29 Dec 1999 17:00:00 -0800

nfs-utils (0.1.5-1) unstable; urgency=medium

  * New upstream version.
  * Allow for some kernels not requiring rpc.lockd.

 -- Chip Salzenberg <chip@valinux.com>  Sun, 19 Dec 1999 11:40:00 -0800

nfs-utils (0.1.4-1) unstable; urgency=low

  * New upstream version.
  * Don't disable NFSv3 by default.

 -- Chip Salzenberg <chip@valinux.com>  Fri, 10 Dec 1999 23:00:00 -0800

nfs-utils (0.1.3-2) unstable; urgency=low

  * Conflict with standard NFS packages.

 -- Chip Salzenberg <chip@valinux.com>  Fri,  3 Dec 1999 22:00:00 -0800

nfs-utils (0.1.3-1) unstable; urgency=low



=== debian/control ===
Source: nfs-utils
Priority: standard
Section: net
Maintainer: Chip Salzenberg <chip@debian.org>
Standards-Version: 3.1.1.1

Package: nfs-kernel-server
Architecture: any
Depends: nfs-common (>= 1:0.1.5), ${shlibs:Depends}
Provides: knfs, nfs-server
Conflicts: knfs, nfs-server
Replaces: knfs, nfs-server
Description: Kernel NFS server support
 Use this package if you have a fairly recent kernel (2.2.13 or better)
 and you want to use the kernel-mode NFS server.  The user-mode NFS
 server in the "nfs-server" package is slower but more featureful and
 easier to debug than the kernel-mode server.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

Package: nhfsstone
Priority: extra
Architecture: any
Depends: nfs-common, ${shlibs:Depends}
Replaces: nfs-kernel-server
Description: NFS benchmark program.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

Package: nfs-common
Architecture: any
Depends: portmap, ${shlibs:Depends}
Provides: nfs-client
Conflicts: nfs-client
Replaces: nfs-client
Description: NFS support files common to client and server
 Use this package on any machine that does NFS either as client or
 server.  Programs included: lockd, statd, showmount, and nfsstat.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.
